<template>
  <div></div>
</template>
<script lang="ts" setup>
  import { useRouter } from 'vue-router';

  const { currentRoute } = useRouter();
  console.log('currentRoute:', location.href);

  if (currentRoute.value.query.code) {
    console.log('code:', currentRoute.value.query.code);
  }
</script>
